ClusterName=zotac
ControlMachine=zotac0
SlurmUser=slurm
SlurmctldPort=6817
SlurmdPort=6818
AuthType=auth/munge
StateSaveLocation=/tmp
SlurmdSpoolDir=/tmp/slurmd
SwitchType=switch/none
MpiDefault=openmpi
MpiParams=ports=12000-12999
SlurmctldPidFile=/var/run/slurmctld.pid
SlurmdPidFile=/var/run/slurmd.pid
ProctrackType=proctrack/cgroup
ReturnToService=2
TaskPlugin=task/affinity
UsePAM=1
MailProg=/usr/local/bin/slurm-mail
PreemptType=preempt/partition_prio
PreemptMode=REQUEUE 

# TIMERS
SlurmctldTimeout=300
SlurmdTimeout=300
InactiveLimit=0
MinJobAge=300
KillWait=30
Waittime=0

# SCHEDULING
SchedulerType=sched/backfill
SelectType=select/cons_res
SelectTypeParameters=CR_Core

# LOGGING
SlurmctldDebug=3
SlurmdDebug=3
JobCompType=jobcomp/filetxt
JobCompLoc=/var/log/slurm/job_completions

# COMPUTE NODES
GresTypes=gpu
FastSchedule=1
NodeName=zotac1 State=UNKNOWN Cpus=4 Sockets=1 CoresPerSocket=2 ThreadsPerCore=2
NodeName=zotac[2-4] State=UNKNOWN Cpus=4 Sockets=1 CoresPerSocket=2 ThreadsPerCore=2 Gres=gpu:1

PartitionName=benchmark Nodes=zotac[1-4] AllowGroups=tutoren,wheel MaxTime=INFINITE State=UP Shared=EXCLUSIVE Priority=30
PartitionName=express Nodes=zotac[1-4] Default=YES MaxTime=1:0:0 State=UP                                     Priority=20
PartitionName=small Nodes=zotac[1-4] MaxTime=2:0:0 State=UP MaxNodes=10                                       Priority=10
PartitionName=long Nodes=zotac[1-4] MaxTime=48:0:0 State=UP                                                   Priority=0
